------------------------------------------------------------------------------------------
-- init file
-- Written by Homeopatix
-- 7 january 2021
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- Plugin's name --
------------------------------------------------------------------------------------------
pluginName = "Fisherman";
------------------------------------------------------------------------------------------
-- File names --
------------------------------------------------------------------------------------------
settingsFileName = "Fisherman_Settings";
------------------------------------------------------------------------------------------
-- Default settings --
------------------------------------------------------------------------------------------
settings = {
    windowPosition = { 
        xPos = 500, 
        yPos = 500 
    },
    optionsWindowPosition = { 
        xPos = 500, 
        yPos = 500 
    },
    IconPosition = { 
        xPosIcon = 500, 
        yPosIcon = 500 
    },
    shortcuts = { 
        Data1 = "0x7000EE1E", -- fishing
        Data2 = "",
        Data3 = "", 
        Data4 = "", 
        Type1 = 9,
        Type2 = 2,
        Type3 = 2,
        Type4 = 2
    },
    isMinimizeEnabled = { 
        isMinimizeEnabled = true 
    },
    isFishingRodEquiped = { 
        value = false 
    },
    isWindowVisible = { 
        isWindowVisible = false 
    },
    isOptionsWindowVisible = { 
        isOptionsWindowVisible = true 
    },
    escEnable = { 
        escEnable = false 
    }
};
------------------------------------------------------------------------------------------
-- Resources settings --
------------------------------------------------------------------------------------------
ResourcePath = "Homeopatix/Fisherman/Resources/";

Images = {
	MinimizedIcon = ResourcePath .. "Fisherman.tga",
};
------------------------------------------------------------------------------------------
-- RGB color codes --
------------------------------------------------------------------------------------------
rgb = {
    start = "<rgb=#DAA520>",
    error = "<rgb=#FF0000>",
    clear = "</rgb>"
};
------------------------------------------------------------------------------------------
-- Load settings --
------------------------------------------------------------------------------------------
LoadSettings();